// http://akelpad.sourceforge.net/forum/viewtopic.php?p=2023#2023
// http://akelpad.sourceforge.net/forum/viewtopic.php?p=2023#2023
// Description(1033): Delete trailing spaces selected or all text
// Description(1049): Убирает пустые символы в конце текста
// Version: 1.2 (2016.03.26)
// Author: VladSh
// 
// Arguments:
// 	-delSpaces:
// 		[0 or without arguments] - will delete spaces and/or Tabs from lines that contains text;
// 		1 - will delete spaces and/or Tabs from all lines (it is the analog of the command 4174)
// 
// Usage:
// 	Call("Scripts::Main", 1, "DelTrailSpaces.js") - удалит концевые пробелы и табуляции только в строках содержащих какой-либо текст
// 	Call("Scripts::Main", 1, "DelTrailSpaces.js", `-delSpaces=1`) - удалит концевые пробелы и табуляции во всех строках

if (! AkelPad.Include("selCompleteLine.js")) WScript.Quit();
oCh.runWithRedraw();

function process() {
	if (AkelPad.GetArgValue("delSpaces", 0) == 0) {
		oCh.Text = oCh.getSelTextAll();
		oCh.Text = oCh.Text.replace(/(\S)([ \t ])+$/gm, "$1");
	}
	else {
		AkelPad.Command(4174 /*IDM_EDIT_DELETE_TRAILING_WHITESPACES*/);
	}
}